%define mozilla_home  %_libdir/mozilla
%define build_enigmail 1
%define branch MOZILLA_1_7_BRANCH
%def_without svg
%def_without xprint

Name: mozilla
Summary: Web browser and mail reader
Version: 1.7.9
Release: alt3.cvs.1mhz1
License: MPL/NPL

Source0: mozilla-source-%branch.tar.bz2
Source2: mozilla-alt-images.tar.bz2
Source7: mozilla-1.4-instchrome.add
Source14: mozilla-copy-package-files.sh
Source20: mozilla-1.6-spellcheck.tar.bz2
Source21: mozilla-alt-enigmail-0.92.0.tar.bz2
Source22: mozilla-searchplugins.tar.bz2
Source25: mozilla-userChrome.css
Source26: mozilla-1.7.1-alt-bookmarks-en.html
Source30: mozilla.firsttime
Source31: mozilla-rebuild-databases.sh
Source32: rpm.macros.mozilla
Source33: mozilla-1.7.1-alt-ssl-addon-certs.txt
Source34: mozilla-alt-menu-desktop.tar.bz2
Source35: mozilla-make-package.pl

Patch7: mozilla-home-page.patch

# ALT patches
Patch113: mozilla-1.7-alt-add-plugins-dir.patch
Patch114: mozilla-1.7.9-alt-run-mozilla.patch
Patch115: mozilla-1.7-alt-configure_in.patch
Patch116: mozilla-1.7.9-alt-gssapi.patch
Patch117: mozilla-1.2b-l10nru.patch
Patch122: mozilla-0.9.9-l10n_uk_de.patch
Patch124: mozilla-1.0-pack.patch
Patch128: mozilla-alt-calendar.patch
Patch131: mozilla-alt-enigmail.patch
Patch132: mozilla-1.7.6-layout-svg-cairo.patch

# RH patch
Patch150: mozilla-default-plugin-less-annoying.patch

# Mandrake patches
# (fc) 1.7-2mdk fix frame loading in gecho (Fedora) (Mozilla bug #195078)
Patch160:  mozilla-1.6-frameload.patch.bz2
# (fc) 1.6-10mdk fix separator key (Mozilla bug #108170)
Patch161:  mozilla-1.6-separator.patch.bz2
# (fc) 1.4-0.alpha.1mdk allow to change UI font (rawhide + ghibo)
Patch162:  mozilla-1.3-uifont.patch.bz2
# (fc) 1.7.5-5mdk enable automatic language detection at startup (Debian)
Patch164:  mozilla-1.7.5-lang.patch.bz2
# (fc) 1.7.3-2mdk fix dynamic library loading on 64bit system (gb)
Patch165:  mozilla-1.6-lib64.patch.bz2
# (fc) 1.7.3-2mdk fix nspr-config script to be 64bit friendly (gb)
Patch166:  mozilla-1.6-lib64-nspr.patch.bz2

# bugzilla patches

Group: Networking/WWW
PreReq: urw-fonts mozilla-plugins-common
Requires: freetype2 >= 2.1.2-alt2 indexhtml browser-plugins-npapi

#temporary!
Conflicts: libnspr <= 4.4.1
Obsoletes: mozilla-xmlterm, mozilla-de, mozilla-nspr
Obsoletes: mozilla-ipc
Obsoletes: mozilla-be
#Provides: mozilla-xpcom, mozilla-gtkmozembed, mozilla-nspr
Provides: mozilla-xpcom
Provides: mozilla-gtkmozembed
Provides: mozilla-nspr

# Automatically added by buildreq on Fri Jun 04 2004
BuildRequires: xorg-x11-devel doxygen fontconfig-devel freetype2-devel gcc-c++ 
BuildRequires: glib2-devel less libIDL-devel libatk-devel libgtk+2-devel libpango-devel 
BuildRequires: libstdc++-devel pkgconfig shared-mime-info unzip vim-minimal zip zlib-devel
BuildRequires: libpng3-devel libjpeg-devel tcsh chrpath 
BuildRequires: menu-devel mktemp browser-plugins-npapi-devel

#BuildRequires: altlinux-release libXft-devel libexpat libqt3 tcsh

BuildRequires: autoconf_2.13

%{?_with_svg: BuildRequires: cairo-devel libpixman-devel}
%{?_with_xprint: Requires: xorg-x11-xprt}

%description
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability.

%package devel
Summary: Development files for Mozilla
Group: Development/Other
Requires: mozilla = %version-%release

%description devel
Development header files for mozilla.

%package mail
Summary: Mozilla-based mail system
Group: Networking/Mail
Requires: mozilla = %version-%release coreutils

%description mail
Mail/news client based on the Mozilla web browser.  The mail/news
client supports IMAP, POP, and NNTP and has an easy to use interface.

%package psm
Summary: Personal Security Manager
Group: Networking/WWW
PreReq: coreutils mozilla = %version-%release
Obsoletes: mozilla-nss
Provides: mozilla-nss

%description psm
The Personal Security Manager is a set of libraries that allow Mozilla
to talk to the Network Security Services layer.  It allows Mozilla to
access SSL web sites and manage cryptographic keys.

%package irc
Summary: IRC support for Mozilla
Group: Networking/IRC
PreReq: mozilla = %version-%release

%description irc
irc support for Mozilla.

%package js-debugger
Summary: JavaScript debugger for use with Mozilla
Group: Networking/WWW
PreReq: coreutils mozilla = %version-%release

%description js-debugger
JavaScript debugger for use with Mozilla.

%package dom-inspector
Summary: A tool for inspecting the DOM of pages in Mozilla
Group: Networking/WWW
PreReq: coreutils mozilla = %version-%release

%description dom-inspector
This is a tool that allows you to inspect the DOM for web pages in
Mozilla.  This is of great use to people who are doing Mozilla chrome
development or web page development.

%package spellchecker
Summary: Spellchecker for Mozilla
Group: Networking/WWW
License: LGPL
PreReq: coreutils mozilla = %version-%release

%description spellchecker
Spellchecker package for Mozilla.
%if %build_enigmail
%package enigmail
Summary: GPG/PGP integration in Mozilla
Group: Networking/WWW
PreReq: coreutils mozilla = %version-%release mozilla-mail = %version-%release gnupg

%description enigmail
GPG/PGP integration in Mozilla
%endif
%package calendar
Summary: Mozilla Calendar
Group: Networking/WWW
PreReq: coreutils mozilla = %version-%release

%description calendar
Mozilla Calendar

%package plugins-common
Summary: Mozilla Plugins Common
Group: Networking/WWW

%description plugins-common
Mozilla Plugins Common

%prep
%setup -q -n mozilla -a21
%setup -T -D -q -n mozilla/extensions -a20 
%setup -T -D -n mozilla -a2
%setup -T -D -n mozilla -a34

%patch7 -p1 -b .home-page
#patch13 -p1

# ALT
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch122 -p1
%patch124 -p1
%patch128 -p1
#patch129 -p1
#patch130 -p1
%patch131 -p1
%patch132 -p1

# RH
%patch150 -p1

# MDK
%patch160 -p1
%patch161 -p1
%patch162 -p1
%patch164 -p1
%patch165 -p1
%patch166 -p1

# additional CA certificates
cd %_builddir/mozilla/security/nss/lib/ckfw/builtins
cat %SOURCE33 >> certdata.txt
%make generate
cd -

# fix up makefiles
%__subst 's/\([A-Z]\)\\$/\1 \\/' extensions/p3p/Makefile.in

%build

for d in build/autoconf \
         nsprpub/build/autoconf \
         directory/c-sdk/config/autoconf
do
    install -m755 %_datadir/automake/config.{guess,sub} $d
done

%set_autoconf_version 2.13
%__autoconf

unset MOZ_INTERNAL_LIBART_LGPL
export BUILD_OFFICIAL=1
export MOZILLA_OFFICIAL=1
export MOZ_CALENDAR=1

# Add fake RPATH
rpath="/$(printf %%s '%mozilla_home' |tr '[:print:]' '_')"
export LDFLAGS="$LDFLAGS -Wl,-rpath,$rpath"

# build mozilla

%configure \
    	--prefix=%_prefix \
    	--disable-debug \
   	--disable-tests \
    	--disable-freetype2 \
    	--without-system-nspr \
	--enable-old-abi-compat-wrappers \
	--enable-strip-libs \
  	--enable-reorder \
  	--enable-cpp-rtti \
  	--enable-cpp-exceptions \
 	--enable-calendar \
    	--enable-default-toolkit=gtk2 \
    	--enable-crypto \
    	--enable-nspr-autoconf \
    	--enable-mathml \
    	--enable-xft \
%if_with svg
	--enable-svg \
  	--enable-svg-renderer-cairo \
%endif #with svg
%if_with xprint
 	--enable-xprint \
	--disable-postscript \
%else
	--disable-xprint \
%endif #with xprint
    	--with-system-jpeg \
    	--with-system-png \
    	--with-system-zlib \
    	--with-default-mozilla-five-home=%mozilla_home 

%make_build

%if %build_enigmail
cd extensions/ipc
./makemake -r
%make_build
cd -

cd extensions/enigmail
./makemake -r
%make_build
cd -
%endif

%__cp %SOURCE25 %_builddir/mozilla/dist/bin/defaults/profile/chrome/
%__cp %SOURCE26 %_builddir/mozilla/dist/bin/defaults/profile/

%install
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 MOZ_CALENDAR=1 DESTDIR=%buildroot \
%make install 
	
cd %buildroot%_libdir
%__mv  mozilla-%version mozilla
%__ln_s mozilla mozilla-%version
cd -

cd %buildroot%_includedir
%__mv  mozilla-%version mozilla
%__ln_s mozilla mozilla-%version
cd -

cd %buildroot%_datadir/idl
%__mv  mozilla-%version mozilla
%__ln_s mozilla mozilla-%version
cd -

%__mkdir_p      %buildroot%_sysconfdir/firsttime.d  \
                %buildroot%_sysconfdir/rpm/macros.d \
                %buildroot%mozilla_home/icons


cd %buildroot%_libdir
# copy nspr
%__cp -s \
  %name/libnspr4.so %name/libplc4.so %name/libplds4.so \
  ./
# copy nss
%__cp -s \
  %name/libnss3.so %name/libsmime3.so %name/libsoftokn3.so %name/libssl3.so \
  ./
# copy system libs
%__cp -s \
  %name/libgkgfx.so %name/libjsj.so %name/libmozjs.so %name/libgtkembedmoz.so %name/libgtkxtbin.so \
  ./

%__cp -s %name/libxpcom*.so   ./
%__cp -s %name/libmsgbase*.so ./
%__cp -s %name/lib*ldap50.so  ./

# libnssckbi.so must be in both places
%__cp -s %name/libnssckbi.so ./
cd -

# copy searchplugins 
cd %buildroot%mozilla_home
  %__tar jxf %SOURCE22
cd -

%if %build_enigmail
%__cp -arL dist/bin/components/*enig*     %buildroot%mozilla_home/components/
%__cp -arL dist/bin/components/*ipc*      %buildroot%mozilla_home/components/
%__cp -arL dist/bin/chrome/enigmail*.jar  %buildroot%mozilla_home/chrome/
%endif
# copy spellchecker
#cp -arL dist/bin/components/*spell*  %buildroot%mozilla_home/components/

# create a list of all of the different package and the files that
# will hold them
%__rm -f %_tmppath/mozilla.list
%__rm -f %_tmppath/mozilla.list.shared
%__rm -f %_tmppath/mozilla.package
%SOURCE35 --package langenus --output-file %_tmppath/mozilla.list \
    --package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
    --install-dir %buildroot%mozilla_home \
    --install-root %mozilla_home

%SOURCE35 --package regus --output-file %_tmppath/mozilla.list \
    --package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
    --install-dir %buildroot%mozilla_home \
    --install-root %mozilla_home

%SOURCE35 --package deflenus --output-file %_tmppath/mozilla.list \
    --package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
    --install-dir %buildroot%mozilla_home \
    --install-root %mozilla_home

%SOURCE35 --package xpcom --output-file %_tmppath/mozilla.list \
    --package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
    --install-dir %buildroot%mozilla_home \
    --install-root %mozilla_home 

%SOURCE35 --package browser --output-file %_tmppath/mozilla.list \
    --package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
    --install-dir %buildroot%mozilla_home \
    --install-root %mozilla_home 
#    --exclude-file=%SOURCE11

%__rm -f %_tmppath/mozilla-mail.list
%__rm -f %_tmppath/mozilla-mail.list.shared
%__rm -f %_tmppath/mozilla-mail.package
%SOURCE35 --package mail --output-file %_tmppath/mozilla-mail.list \
    --package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
    --install-dir %buildroot%mozilla_home \
    --install-root %mozilla_home

%__rm -f %_tmppath/mozilla-psm.list
%__rm -f %_tmppath/mozilla-psm.list.shared
%__rm -f %_tmppath/mozilla-psm.package
%SOURCE35 --package psm --output-file %_tmppath/mozilla-psm.list \
    --package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
    --install-dir %buildroot%mozilla_home \
    --install-root %mozilla_home

%__rm -f %_tmppath/mozilla-chat.list
%__rm -f %_tmppath/mozilla-chat.list.shared
%__rm -f %_tmppath/mozilla-chat.package
%SOURCE35 --package chatzilla --output-file %_tmppath/mozilla-chat.list \
    --package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
    --install-dir %buildroot%mozilla_home \
    --install-root %mozilla_home

%__rm -f %_tmppath/mozilla-js-debugger.list
%__rm -f %_tmppath/mozilla-js-debugger.list.shared
%__rm -f %_tmppath/mozilla-js-debugger.package
%SOURCE35 --package venkman --output-file %_tmppath/mozilla-js-debugger.list \
    --package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
    --install-dir %buildroot%mozilla_home \
    --install-root %mozilla_home

%__rm -f %_tmppath/mozilla-dom-inspector.list
%__rm -f %_tmppath/mozilla-dom-inspector.list.shared
%__rm -f %_tmppath/mozilla-dom-inspector.package
%SOURCE35 --package inspector --output-file %_tmppath/mozilla-dom-inspector.list \
    --package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
    --install-dir %buildroot%mozilla_home \
    --install-root %mozilla_home

%__rm -f %_tmppath/mozilla-spellchecker.list
%__rm -f %_tmppath/mozilla-spellchecker.list.shared
%__rm -f %_tmppath/mozilla-spellchecker.package
%SOURCE35 --package spellcheck --output-file %_tmppath/mozilla-spellchecker.list \
    --package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
    --install-dir %buildroot%mozilla_home \
    --install-root %mozilla_home

%if %build_enigmail
%__rm -f %_tmppath/mozilla-enigmail.list
%__rm -f %_tmppath/mozilla-enigmail.list.shared
%__rm -f %_tmppath/mozilla-enigmail.package
%SOURCE35 --package enigmail --output-file %_tmppath/mozilla-enigmail.list \
    --package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
    --install-dir %buildroot%mozilla_home \
    --install-root %mozilla_home
%endif

%__rm -f %_tmppath/mozilla-calendar.list
%__rm -f %_tmppath/mozilla-calendar.list.shared
%__rm -f %_tmppath/mozilla-calendar.package
%SOURCE35 --package calendar --output-file %_tmppath/mozilla-calendar.list \
    --package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
    --install-dir %buildroot%mozilla_home \
    --install-root %mozilla_home

%if %build_enigmail
#hack for correct enigmail installation
%__cat << EOF >> %buildroot%mozilla_home/chrome/installed-chrome.txt
content,install,url,jar:resource:/chrome/enigmail.jar!/content/enigmail/
locale,install,url,jar:resource:/chrome/enigmail.jar!/locale/en-US/enigmail/
locale,install,url,jar:resource:/chrome/enigmail-en-US.jar!/locale/en-US/enigmail/
skin,install,url,jar:resource:/chrome/enigmail-skin-tbird.jar!/skin/classic/enigmail/
skin,install,url,jar:resource:/chrome/enigmail-skin.jar!/skin/modern/enigmail/
skin,install,url,jar:resource:/chrome/enigmail-skin.jar!/skin/classic/enigmail/
skin,install,url,jar:resource:/chrome/enigmail.jar!/skin/modern/enigmail/
skin,install,url,jar:resource:/chrome/enigmail.jar!/skin/classic/enigmail/
EOF
%endif
# build our initial component and chrome registry
# we don't need to do this anymore

cd %buildroot%mozilla_home
# __cat %SOURCE7 >> chrome/installed-chrome.txt
%__rm -rf  %buildroot%mozilla_home/components/xpti* %buildroot%mozilla_home/component.reg
# register our components
LD_LIBRARY_PATH=%buildroot%mozilla_home:%buildroot%_libdir MOZILLA_FIVE_HOME=%buildroot%mozilla_home ./regxpcom
# set up the default skin and locale to trigger the generation of
# the user-locales and users-skins.rdf
echo "skin,install,select,classic/1.0" >> chrome/installed-chrome.txt
echo "locale,install,select,en-US" >> chrome/installed-chrome.txt
# set up the chrome rdf files
LD_LIBRARY_PATH=%buildroot%mozilla_home:%buildroot%_libdir MOZILLA_FIVE_HOME=%buildroot%mozilla_home ./regchrome
# fix permissions of the chrome directories
find . -type d -perm 0700 -exec chmod 755 {} \; || :
cd -

%__cp %buildroot%mozilla_home/chrome/installed-chrome.txt  %buildroot%mozilla_home/chrome/installed-chrome-orig.txt

# install the static libs from Gecko SDK
%__install -p -m644 dist/sdk/lib/*.a %buildroot%_libdir/mozilla/

# install the NSS headers
%__install -d -m755 %buildroot%_includedir/mozilla/nss
%__install -p -m644 dist/public/nss/* %buildroot%_includedir/mozilla/nss/

# put mozilla-xremote-client into the standard path
%__cp %_builddir/mozilla/dist/bin/mozilla-xremote-client \
        %buildroot%_bindir
subst 's,%%PLUGIN_PATH%%,%browser_plugins_path,' %buildroot%_bindir/%name

%__mkdir_p %buildroot%_miconsdir %buildroot%_liconsdir
%__cp alt-images/16/*.{png,xpm} %buildroot%_miconsdir
%__cp alt-images/32/*.{png,xpm} %buildroot%_iconsdir
%__cp alt-images/48/*.{png,xpm} %buildroot%_liconsdir

%__cp %SOURCE30 %buildroot%_sysconfdir/firsttime.d/%name
%__cp %SOURCE31 %buildroot%mozilla_home/rebuild-databases.sh
%__cp %SOURCE32 %buildroot%_sysconfdir/rpm/macros.d/%name

# Add real RPATH
rpath="/$(printf %%s '%mozilla_home' |tr '[:print:]' '_')"
find "%buildroot%mozilla_home/" \
  -name '%name-bin' \
  -o -name 'mozilla-xremote-client' \
  -o -name 'regchrome' \
  -o -name 'regxpcom' \
  -o -name '*.so' | 
while read f; do
  if chrpath -l "$f" | fgrep -qs "RPATH=$rpath"; then
	  chrpath -r "%mozilla_home" "$f"
  fi
done

printf %%s\\n %buildroot%_bindir/mozilla-xremote-client |
while read f; do
  if chrpath -l "$f" | fgrep -qs "RPATH=$rpath"; then
	  chrpath -r "%mozilla_home" "$f"
  fi
done

# install menu file
%__install -m 755 -d %buildroot%_menudir \
                     %buildroot%_datadir/applications

%__install -m644 mozilla-alt-*.desktop %buildroot%_datadir/applications/

freedesktop2menu.pl \
	mozilla \
        "Networking/WWW" \
	%buildroot%_datadir/applications/mozilla-alt-browser.desktop \
	%buildroot%_menudir/mozilla \
	x11

freedesktop2menu.pl \
	mozilla-mail \
        "Networking/Mail" \
	%buildroot%_datadir/applications/mozilla-alt-mail.desktop \
	%buildroot%_menudir/mozilla-mail \
	x11

%post
%update_menus
%post_ldconfig
%mozilla_home/rebuild-databases.sh

%postun
%postun_ldconfig
%clean_menus

%preun
if [ "$1" == "0" ]; then
    %__rm -rf %mozilla_home/chrome/overlayinfo
    %__rm -f %mozilla_home/chrome/*.rdf
    %__rm -f %mozilla_home/component.reg
    %__rm -f %mozilla_home/components/xpti*.dat
fi

%post mail
%update_menus
%post_ldconfig
%mozilla_home/rebuild-databases.sh

%postun mail
%clean_menus
if [ "$1" == "0" ]; then
    %postun_ldconfig
    %mozilla_home/rebuild-databases.sh
fi

%post psm
%post_ldconfig
%mozilla_home/rebuild-databases.sh

%postun psm
%postun_ldconfig
%mozilla_home/rebuild-databases.sh

%post irc
%post_ldconfig
%mozilla_home/rebuild-databases.sh

%postun irc
if [ "$1" == "0" ]; then
    %postun_ldconfig
    %mozilla_home/rebuild-databases.sh
fi

%post js-debugger
%post_ldconfig
%mozilla_home/rebuild-databases.sh

%postun js-debugger
%postun_ldconfig
%mozilla_home/rebuild-databases.sh

%post dom-inspector
%post_ldconfig
%mozilla_home/rebuild-databases.sh

%postun dom-inspector
%postun_ldconfig
%mozilla_home/rebuild-databases.sh

%post spellchecker
%post_ldconfig
%mozilla_home/rebuild-databases.sh

%postun spellchecker
%postun_ldconfig
%mozilla_home/rebuild-databases.sh

%if %build_enigmail
%post enigmail
%post_ldconfig
%mozilla_home/rebuild-databases.sh

%postun enigmail
%postun_ldconfig
%mozilla_home/rebuild-databases.sh

%endif

%files -f %_tmppath/mozilla.list
%_sysconfdir/firsttime.d/mozilla
%_bindir/mozilla
%_bindir/mozilla-xremote-client
%attr(755,root,root) %mozilla_home/rebuild-databases.sh
%_libdir/libgkgfx.so
%_libdir/libjsj.so
%_libdir/libmozjs.so
%_libdir/libxpcom*.so

%_libdir/libnspr4.so
%_libdir/libplc4.so
%_libdir/libplds4.so

#%_libdir/%name/libxpcom*.so
%_libdir/libgtkembedmoz.so
%_libdir/lib*ldap50.so
#_libdir/libgtksuperwin.so
%_libdir/libgtkxtbin.so
%_menudir/mozilla
%_datadir/applications/mozilla-alt-browser.desktop
%_miconsdir/%name.*
%_iconsdir/%name.*
%_liconsdir/%name.*
%dir %mozilla_home/defaults/pref
%dir %mozilla_home/defaults/profile/US
%dir %mozilla_home/defaults/profile
%dir %mozilla_home/defaults/wallet
%dir %mozilla_home/defaults
%dir %mozilla_home/chrome
%dir %mozilla_home/components
%dir %mozilla_home/res/html
%dir %mozilla_home/res/samples
%dir %mozilla_home/res/entityTables
%dir %mozilla_home/res/rdf
%dir %mozilla_home/res
%dir %mozilla_home/icons
%dir %mozilla_home/searchplugins
%exclude %mozilla_home/plugins
%dir %_libdir/mozilla-%version
%verify (not md5 mtime size) %mozilla_home/components/compreg.dat
%verify (not md5 mtime size) %mozilla_home/components/xpti.dat
%config (missingok)  %mozilla_home/chrome/overlayinfo/*
%config (missingok)  %mozilla_home/chrome/*.rdf
%verify (not md5 mtime size) %mozilla_home/chrome/installed-chrome.txt
%mozilla_home/chrome/installed-chrome-orig.txt
%if_with svg
%mozilla_home/chrome/svg.jar
%mozilla_home/components/gksvgrenderer.xpt
%mozilla_home/res/svg.css
%endif #with svg
%_man1dir/*

%files plugins-common
%dir %mozilla_home
%mozilla_home/plugins

%files devel
%_sysconfdir/rpm/macros.d/%name
%_includedir/mozilla
%_includedir/mozilla-%version
%mozilla_home/xpcshell
%mozilla_home/xpidl
%mozilla_home/xpt_dump
%mozilla_home/xpt_link
%_libdir/mozilla/*.a
%_libdir/pkgconfig/*
%_bindir/mozilla-config
%_datadir/aclocal/nspr.m4
%_datadir/idl/mozilla
%_datadir/idl/mozilla-%version

%files mail -f %_tmppath/mozilla-mail.list
%_libdir/libmsgbase*.so
%_menudir/mozilla-mail
%_datadir/applications/mozilla-alt-mail.desktop

%files psm -f %_tmppath/mozilla-psm.list
%_libdir/libnssckbi.so
%_libdir/libnss3.so 
%_libdir/libsmime3.so 
%_libdir/libsoftokn3.so 
%_libdir/libssl3.so

%files irc -f %_tmppath/mozilla-chat.list
%files calendar -f %_tmppath/mozilla-calendar.list
%files spellchecker -f %_tmppath/mozilla-spellchecker.list
%files js-debugger -f %_tmppath/mozilla-js-debugger.list
%files dom-inspector -f %_tmppath/mozilla-dom-inspector.list

%if %build_enigmail
%files enigmail -f %_tmppath/mozilla-enigmail.list
%mozilla_home/chrome/enigmail*
%endif

%changelog
* Wed Jul 20 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.7.9-alt3.cvs.1mhz1
- Enabled building on all platforms used in ALT
  by updating config.{guess,sub} where appropriate
- Fixed GSSAPI detection [Patch116]
- Fix up Makefile.in in p3p with subst
- Removed duplicate headers, consolidated all headers under
  /usr/include/mozilla [bug #6553]
- Added static libraries from Gecko SDK to mozilla-devel
- Some cosmetics

* Mon Jul 11 2005 LAKostis <lakostis at altlinux.ru> 1.7.9-alt3.cvs
- new cvs snapshot from stable MOZILLA_1_7_BRANCH fixing various 
  nasty bugs.
- fix for building with new make.

* Mon Jul 11 2005 LAKostis <lakostis at altlinux.ru> 1.7.9-alt2.cvs
- many fixes from cvs and bugzilla:
  + #298478
  + #217967
  + #212123
  + #299133
- damn, make is broken now :((

* Wed Jun 22 2005 LAKostis <lakostis@altlinux.ru> 1.7.9-alt1.cvs
- security fixes (SA15489).
- run-mozilla bugfix (legion).
- rpath bugfix (legion).

* Mon Jun 20 2005 LAKostis <lakostis at altlinux.ru> 1.7.9-alt0.cvs
- new cvs snapshot from stable MOZILLA_1_7_BRANCH fixing various security
  issues (like SA15601). It's 1.7.9 actually, so no problem here :)
- disable svg support due headers breakage.
- add switches for svg/xprint easy builds.
- fix: #4846, #5101, #7126 (legion).
- keyword 'altbug:' added, patch114 updated (legion).

* Tue Apr 26 2005 Alexey Gladkov <legion@altlinux.ru> 1.7.7-alt1
- new version;

* Mon Mar 28 2005 Alexey Gladkov <legion@altlinux.ru> 1.7.6-alt1
- new version;

* Mon Feb 14 2005 Alexey Gladkov <legion@altlinux.ru> 1.7.5-alt4
- plugins path bugfix;
- new enigmail version 0.90.1;
- svg support enabled;

* Wed Jan 26 2005 Alexey Gladkov <legion@altlinux.ru> 1.7.5-alt3
- rebuild with libstdc++.so.6
- disable svg support becouse svg layout lead to segfault 
  when mozilla compile with gcc3.4 .
- add mandrake patches (patch162, patch163, patch164) .
- search plugins was updated.

* Tue Jan 18 2005 Alexey Gladkov <legion@altlinux.ru> 1.7.5-alt2
- %%files bugfix;

* Tue Jan 04 2005 Alexey Gladkov <legion@altlinux.ru> 1.7.5-alt1
- new version
- enigmail 0.89.6, ipc 1.1.2;
- browser-plugins-npapi support added; 

* Sun Aug 08 2004 Alexey Gladkov <legion@altlinux.ru> 1.7.2-alt1
- new version;
- security bugfixes;
- enigmail 0.85.0, ipc 1.0.5;

* Tue Jul 20 2004 Alexey Gladkov <legion@altlinux.ru> 1.7.1-alt2
- spec bugfix;

* Thu Jul 15 2004 Alexey Gladkov <legion@altlinux.ru> 1.7.1-alt1
- New version;
- Certificate (ALT Linux CA Root) added;
- SVG support added;
- RPATH added to all binary files;
- New package 'mozilla-plugins-common' added. This package 
  contain mozilla common plugins;
- Freedesktop menu files support added;

* Mon Jun 21 2004 Alexey Gladkov <legion@altlinux.ru> 1.6-alt5
- Localization bugfix.

* Thu Jun 10 2004 Alexey Gladkov <legion@altlinux.ru> 1.6-alt4.1
- Reopen bug #3942.

* Mon May 24 2004 Alexey Gladkov <legion@altlinux.ru> 1.6-alt4
- Remove packages: mozilla-nss, mozilla-nspr;
- Move packages mozilla-ru, mozilla-uk to standalone srpms;
- post/un install scripts changes;
- Custom script mozilla-rebuild-databases.sh added;
- spec cleanup;
- Bug fixes:
    * bug #3942 workaround;
    * bug #3283 fixed;
    * bug #3181 wontfix;
    * bug #2382 fixed;
    * bug #2296 fixed;
    * bug #2276 fixed;
    * bug #2215 fixed;
    * bug #586 fixed;
    * bug #679 fixed;

* Tue Mar 02 2004 Alexey Gladkov <legion@altlinux.ru> 1.6-alt3
- .mozilla problem fix;

* Mon Mar 01 2004 Alexey Gladkov <legion@altlinux.ru> 1.6-alt2
- enigmail update;
- russian translation update;
- .mozilla hack;

* Thu Feb 05 2004 Alexey Gladkov <legion@altlinux.ru> 1.6-alt1
- 1.6
- plugin patch from RH

* Mon Nov 03 2003 AEN <aen@altlinux.ru> 1.4-alt8
- mozilla_firsttime script fixed 

* Fri Oct 31 2003 AEN <aen@altlinux.ru> 1.4-alt7
- temoprary added requires nspr on nss and nss on psm

* Wed Oct 29 2003 AEN <aen@altlinux.ru> 1.4-alt6
- firsttime.d scrip added
- buildreq fixed

* Thu Jul 10 2003 AEN <aen@altlinux.ru> 1.4-alt5
- udated ukrainian translation from http://www.mozilla.org.ua

* Wed Jul 09 2003 AEN <aen@altlinux.ru> 1.4-alt4
- lib*ldap50 problem fixed
- belarusian translation added (Ales Nyakhaychyk <nab@mail.by>)

* Mon Jul 07 2003 AEN <aen@altlinux.ru> 1.4-alt3
- russian translation fixed

* Thu Jul 03 2003 AEN <aen@altlinux.ru> 1.4-alt2
- libmsgbaseutil.so in %%_libdir

* Wed Jul 02 2003 AEN <aen@altlinux.ru> 1.4-alt1
- new version
- new enigmail 
- extmailer patch
- new russian and ukrainian translations

* Mon Apr 14 2003 AEN <aen@altlinux.ru> 1.3-alt3
- calendar russian translation restored

* Wed Mar 19 2003 AEN <aen@altlinux.ru> 1.3-alt2
- buildreq updated

* Thu Mar 13 2003 AEN <aen@altlinux.ru> 1.3-alt1
- 1.3 release

* Mon Feb 17 2003 AEN <aen@altlinux.ru> 1.3-alt0.3
- build with updated enigmail
- ipc obsoleted

* Thu Feb 13 2003 AEN <aen@altlinux.ru> 1.3-alt0.2
- 1.3b 
- build with gtk2
- new russian translation from fattie & Vadim
- build w/o ipc/enigmail/ukrainian (temporary)

* Mon Feb 10 2003 AEN <aen@altlinux.ru> 1.2.1-alt6
- startup page bug fixed

* Wed Jan 15 2003 AEN <aen@altlinux.ru> 1.2.1-alt5
- Requires on freetype2 >= 2.1.2-alt2 added

* Mon Dec 16 2002 AEN <aen@altlinux.ru> 1.2.1-alt4
- BuildReq generated

* Mon Dec 09 2002 AEN <aen@altlinux.ru> 1.2.1-alt3
- Ukrainian translation restored 

* Wed Dec 04 2002 AEN <aen@altlinux.ru> 1.2.1-alt2
- rebuild-databases.sh fixed 
- searchplugins installation fixed (by hand)

* Tue Dec 03 2002 AEN <aen@altlinux.ru> 1.2.1-alt1
- new version
- %files fixed 
- new russian translation from Fattie

* Tue Oct 22 2002 AEN <aen@altlinux.ru> 1.2-alt0.5
- translation fixed

* Mon Oct 21 2002 AEN <aen@altlinux.ru> 1.2-alt0.4
- new enigmail & spellcheck

* Sat Oct 19 2002 AEN <aen@altlinux.ru> 1.2-alt0.3
- new version
- temporary obsoletes xmlterm, uk & de packages

* Mon Jun 24 2002 AEN <aen@logic.ru> 1.0-alt6
- spellchecker license : LGPL

* Fri Jun 14 2002 AEN <aen@logic.ru> 1.0-alt5
- Requires: val-ttf

* Sun Jun 12 2002 AEN <aen@logic.ru> 1.0-alt4
- userChrome.css added to template
- bookmarks.html customized by Rider

* Mon Jun 10 2002 AEN <aen@logic.ru> 1.0-alt3
- enigmail/ipc updated

* Thu Jun 06 2002 AEN <aen@logic.ru> 1.0-alt2
- enigmail translation fixed

* Wed Jun 05 2002 AEN <aen@logic.ru> 1.0-alt1
- build from 1.0-CVS
- regenerate patches

* Mon May 13 2002 AEN <aen@logic.ru> 0.9.9-alt3
- security fix from mozilla.org

* Thu Mar 21 2002 AEN <aen@logic.ru> 0.9.9-alt2
- new translation from Valentina Vaneeva
- new searchplugins from Sergey Degtyarev
- ukrainian translation from Serhyy Brytskyy
- deutsche (AT) translation
- ipc & enigmail packages by R. Saravanan

* Thu Mar 07 2002 AEN <aen@logic.ru> 0.9.9-alt1
- build with Blizzrd's xft patch
- patch 111 merged upstream
- regenerate patches
- nss & nspr package back
- spellcheck by David Einstein
- remove --enable-xinerama

* Fri Feb 08 2002 AEN <aen@logic.ru> 0.9.8-alt3
- russification moved to ru package
- sync with mozilla-ru-0.9.8 release

* Tue Feb 05 2002 AEN <aen@logic.ru> 0.9.8-alt2
- regru added

* Tue Feb 05 2002 AEN <aen@logic.ru> 0.9.8-alt1
- release 0.9.8
- %post fixed

* Mon Jan 28 2002 AEN <aen@logic.ru> 0.9.8-alt0.4
- new sources
- russian localization added

* Thu Jan 24 2002 AEN <aen@logic.ru> 0.9.8-alt0.3
- mozilla.sh ugly fix

* Thu Jan 24 2002 AEN <aen@logic.ru> 0.9.8-alt0.2
- pre1
- patch 110 merged in mozilla.org tree

* Thu Jan 03 2002 AEN <aen@logic.ru> 0.9.8-alt0.1
- 0103 snapshot

* Thu Jan 03 2002 AEN <aen@logic.ru> 0.9.7-alt4
- official tarball
- fonts patch
- -O2 optimization

* Fri Dec 28 2001 AEN <aen@logic.ru> 0.9.7-alt3
- charset patch

* Thu Dec 27 2001 AEN <aen@logic.ru> 0.9.7-alt2
- js-debuger & dom-inspector packages added

* Tue Dec 25 2001 AEN <aen@logic.ru> 0.9.7-alt1
- new version

* Fri Dec 07 2001 AEN <aen@logic.ru> 0.9.6-alt3
- link to ShockwaveFlash class  added

* Mon Nov 26 2001 AEN <aen@logic.ru> 0.9.6-alt2
- patches 0,1,12 back

* Wed Nov 21 2001 AEN <aen@logic.ru> 0.9.6-alt1
- 0.9.6 release

* Fri Nov 16 2001 AEN <aen@logic.ru> 0.9.6-alt0.1
- 0.9.6pre

* Thu Nov 08 2001 AEN <aen@logic.ru> 0.9.5-alt2
- enable xinerama
- built with O2

* Mon Oct 15 2001 AEN <aen@logic.ru> 0.9.5-alt1
- new version

* Wed Oct 10 2001 AEN <aen@logic.ru> 0.9.4-alt4
- new snapshot from CVS (tag 0_9_4_BRANCH)
- patch 114 (liblber40 moved to mozilla package)

* Mon Oct 1 2001 AEN <aen@logic.ru> 0.9.4-alt3
- new tarball fron CVS

* Mon Sep 17 2001 AEN <aen@logic.ru> 0.9.4-alt1
- release with latest fixes

* Wed Sep 05 2001 AEN <aen@logic.ru> 0.9.4-alt0.1
- snapshot
- libjs temporary removed

* Wed Aug 08 2001 AEN <aen@logic.ru> 0.9.3-alt1
- 0.9.3
- sync with MDK
* Sun Jul 1 2001 AEN <aen@logic.ru> 0.9.2-alt1
- 0.9.2
* Fri Jun 8 2001 AEN <aen@logic.ru> 0.9.1-alt1
- 0.9.1 with bidi
- new patches

* Tue May 22 2001 AEN <aen@logic.ru> 0.9-alt4
- sync with mdk
- psm package obsolette
- xmlterm package
- PreReq: libnspr

* Wed May 16 2001 AEN <aen@logic.ru> 0.9-alt3
- enable mathml
* Thu May 10 2001 AEN <aen@logic.ru> 0.9-alt2
- new utftitle patch
* Thu May 10 2001 AEN <aen@logic.ru> 0.9-alt1
- 0.9

* Mon May 07 2001 AEN <aen@logic.ru> 0.9-alt0.9
- 0.9pre
* Mon May 07 2001 AEN <aen@logic.ru> 0.8.1-alt4
- utf8title patch

* Mon Apr 23 2001 AEN <aen@logic.ru> 0.8.1-alt3
- add new function to embeded interface

* Thu Mar 29 2001 AEN <aen@logic.ru> 0.8.1-alt2
- %post scripts fixed

* Wed Mar 28 2001 AEN <aen@logic.ru> 0.8.1-alt1
- 0.8.1
- sync with blizzard
* Sun Feb 18 2001 AEN <aen@logic.ru> 0.8-ipl1mdk
- 0.8
- sync with blizzard & Frederic
- groups names fixed

* Sun Jan 28 2001 AEN <aen@logic.ru> 0.7-ipl2mdk
- new patches from Chris

* Tue Jan 11 2001 AEN <aen@logic.ru> 0.7-ipl1mdk
- merged with Chris
- chatzilla restored
- xmlterm temporary removed

* Fri Dec 15 2000 AEN <aen@logic.ru>
- build for 7.2RE
- menu
- printing patch
- cyrhack fontmetrics patch

* Tue Dec 05 2000 Christopher Blizzard <blizzard@redhat.com>
- Build on only one CPU until the parallel build problems are worked
  out.
- Don't try to build on ai64

* Thu Oct 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build with new fileutils

* Fri Oct 13 2000 Christopher Blizzard <blizzard@redhat.com>
- Move to post M18 builds

* Mon Oct 2 2000 Christopher Blizzard <blizzard@redhat.com>
- start daily builds - remove the old patches
- delete installed directories for chrome since everything
  is in jar files now.

* Fri Aug 18 2000 Matt Wilson <msw@redhat.com>
- added patch to work around va_arg mess on gcc 2.96

* Wed Aug  9 2000 Christopher Blizzard <blizzard@redhat.com>
- Use official M17 source tarball

* Tue Aug  8 2000 Christopher Blizzard <blizzard@redhat.com>
- Add patch to fix crash when viewing some rgba images
- Add patch to fix sign warnings in gtkmozembed.h header

* Mon Aug  7 2000 Christopher Blizzard <blizzard@redhat.com>
- Build M17 official
- Add patch to fix crash when viewing some png images
- Add patch to fix context menu popup grab behaviour
- Add patch to fix focus problems with the file upload widget

* Thu Jul 27 2000 Christopher Blizzard <blizzard@redhat.com>
- Update to M17 snapshot

* Mon Jul 24 2000 Christopher Blizzard <blizzard@redhat.com>
- Update to most recent snapshot
- Added chrome rdf hacks

* Tue Mar 14 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- initial RPM
